org.aspectj.lang

## Class SoftException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.aspectj.lang.SoftException

All Implemented Interfaces:
  java.io.Serializable

    public class SoftException
    extends java.lang.RuntimeException

Wrapper for checked exceptions matched by a 'declare soft'. You can soften checked exceptions at join points by using the form `declare soft: TypePattern: Pointcut`. At the join points, any exceptions thrown which match TypePattern will be wrapped in `SoftException` and rethrown. You can get the original exception using `getWrappedThrowable()` or `getCause()`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SoftException(java.lang.Throwable inner)`

### Method Summary

Methods
`java.lang.Throwable` `getCause()`
`java.lang.Throwable` `getWrappedThrowable()`
`void` `printStackTrace()`
`void` `printStackTrace(java.io.PrintStream stream)`
`void` `printStackTrace(java.io.PrintWriter stream)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SoftException

    public SoftException(java.lang.Throwable inner)

### Method Detail

#### getWrappedThrowable

    public java.lang.Throwable getWrappedThrowable()

#### getCause

    public java.lang.Throwable getCause()

Overrides:
  `getCause` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace()

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintWriter stream)

Overrides:
  `printStackTrace` in class `java.lang.Throwable`